Go to the latest version of this document.

# ``twisted`.`internet`.`ssl`.`ProtocolNegotiationSupport``

class documentation

`class ProtocolNegotiationSupport(Flags): (source)`

View In Hierarchy

`ProtocolNegotiationSupport` defines flags which are used to indicate the level of ALPN support provided by the TLS backend.

Constant | `ALPN` | The implementation supports Application Layer Protocol Negotiation.
Constant | `NPN` | The implementation supports Next Protocol Negotiation. (This flag is provided for compatibility only; Twisted no longer supports Next Protocol Negotiation)
Class Variable | `NOSUPPORT` | There is no support for ALPN. This is exclusive with `ALPN`.

ALPN = (source)

The implementation supports Application Layer Protocol Negotiation.

Value

    FlagConstant(2)

NPN = (source)

The implementation supports Next Protocol Negotiation. (This flag is provided for compatibility only; Twisted no longer supports Next Protocol Negotiation)

Value

    FlagConstant(1)

NOSUPPORT = (source)

There is no support for ALPN. This is exclusive with `ALPN`.